### Method

# Soup AuthManager use_auth

#### Declaration [src]

    void
    soup_auth_manager_use_auth (
      SoupAuthManager* manager,
      GUri* uri,
      SoupAuth* auth
    )

#### Description [src]

Records that `auth` is to be used under `uri`, as though a WWW-Authenticate header had been received at that URI.

This can be used to “preload” `manager`‘s auth cache, to avoid an extra HTTP round trip in the case where you know ahead of time that a 401 response will be returned.

This is only useful for authentication types where the initial Authorization header does not depend on any additional information from the server. (Eg, Basic or NTLM, but not Digest.)

#### Parameters

`uri`

  Type: `GUri`

  The `GUri` under which `auth` is to be used.

  The data is owned by the caller of the function.

`auth`

  Type: `SoupAuth`

  The `SoupAuth` to use.

  The data is owned by the caller of the function.